Draft PointArray/tr: Difference between revisions

From FreeCAD Documentation
(Created page with "== Tanım ==")
 
(Created page with "{{GuiCommand/tr |Name=Draft PointArray |Name/tr=Nokta dizisi |Icon=Draft_PointArray.svg |Workbenches=Draft, Arch |MenuLocation=Draft →...")
Line 1: Line 1:
<languages/>
<languages/>
{{GuiCommand
{{GuiCommand/tr
|Name=Draft PointArray
|Name=Draft PointArray
|Name/tr=Nokta dizisi
|Icon=Draft_PointArray.svg
|Icon=Draft_PointArray.svg
|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]
|Workbenches=[[Draft Module/tr|Draft]], [[Arch Module/tr|Arch]]
|MenuLocation=Draft → PointArray
|MenuLocation=Draft → PointArray
|Version=0.18
|Version=0.18
|SeeAlso=[[Draft Array|Draft Array]], [[Draft PathArray]]
|SeeAlso=[[Draft Array/tr|Draft Array]], [[Draft PathArray/tr|Draft PathArray]]
}}
}}



Revision as of 12:20, 3 January 2019

Nokta dizisi

Menü konumu
Draft → PointArray
Tezgahlar
Draft, Arch
Varsayılan kısayol
Hiçbiri
Versiyonda tanıtıldı
0.18
Ayrıca bkz
Draft Array, Draft PathArray

Tanım

The PointArray tool places copies of a selected shape along various selected points.

How to use

  1. Create a shape object you wish to distribute. You will get the best results if your object is centred around the origin, that is, if its Veriposition is [0, 0, 0].
  2. Place points using Draft Point.
  3. Select the points and create a compound of them using Draft Upgrade.
  4. First select your shape, then the new point compound, and then press the Draft PointArray button.

Options

  • The array starts with shape copies which are not aligned to the path, nor translated to a new position by default. You can then change the alignment and/or translation vector in the properties.

Properties

  • VeriBase: The shape object
  • VeriCount: The number of times to copy the shape (read only)
  • VeriPointList: a compound of points

Scripting

The PointArray tool can be used in macros and from the Python console by using the following function:

makePointArray(base, ptlst)
  • base is the shape to copy, and ptlst is an object with Geometry, Links, or Components that define the position of the copies.

Example:

import FreeCAD, Draft

poly = Draft.makePolygon(3, radius=500.0)
p1 = Draft.makePoint(FreeCAD.Vector(1500, 0, 0))
p2 = Draft.makePoint(FreeCAD.Vector(2500, 0, 0))
p3 = Draft.makePoint(FreeCAD.Vector(2000, 1000, 0))

upg = Draft.upgrade([p1, p2, p3], delete=True)
compound = upg[0][0]  # Extract the compound from the list

array = Draft.makePointArray(poly, compound)

Usage Notes

  • in progress